camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Arnaud Deprez <arnaudep...@gmail.com>
Subject Re: Problem with feature camel-spring 2.17.0
Date Sat, 02 Apr 2016 14:32:14 GMT
Alright, I didn't see that yesterday.
Thx Claus :-)

On Sat, Apr 2, 2016 at 1:04 PM Claus Ibsen <claus.ibsen@gmail.com> wrote:

> There is a ticket about moving spring-dm out
> https://issues.apache.org/jira/browse/CAMEL-9521
>
>
>
> On Fri, Apr 1, 2016 at 10:53 PM, Arnaud Deprez <arnaudeprez@gmail.com>
> wrote:
> > Hi folks,
> >
> > With camel 2.17.0, we migrate most spring dependencies to spring 4
> (except
> > for spring-dm which is stuck to 3).
> >
> > However, if we need to use transactional client, we need camel-spring for
> > the SpringTransactionPolicy.
> > This jar depends on spring 3 and so it causes some clashes.
> > It would be nice to solve it.
> > A new bundle might be required (camel-tx-spring or something like) to
> avoid
> > collision with spring-dm as camel-spring relies on it.
> >
> > What do you think ?
> >
> > Regards
> > --
> > Arnaud Deprez
>
>
>
> --
> Claus Ibsen
> -----------------
> http://davsclaus.com @davsclaus
> Camel in Action 2: https://www.manning.com/ibsen2
>
-- 
Arnaud Deprez

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message